/*
News Syndication for Atom and RSS feeds
Configuration v2.4
Copyright (C) 2004-2007 perpleXa

http://perplexa.ugug.org / #perpleXa on QuakeNet

1) Configuration sections
=========================
 Every single feed requires an own section, which you can set up below.
 [core] is the default section which holds all non-feedspecific values.

 Available values are listed in the following table:

  Value       | Description
 -------------+-------------------------------------------------------------------------------------
  interval    | Duration between 2 checks for new content. (in minutes)
  timeout     | Sockets will be closed after this period of time. (in seconds *)
  maxlength   | Strip down and append "..." at the end if line is longer than "maxlength". (*)
  antiflood   | Duration of the trigger being blocked on a channel after usage. (in seconds *)
  limit       | Maximum number of news that are posted at once. (1+; 0 to disable limit)
  trigger     | Trigger used by a feed. (public binds only; seperate with spaces ***)
  format      | Explained below.
  channels    | Channels in which the feed should be active. (none added activates the feed on all **)
  uri         | Link to the feed. (like this: http://domain.com[:port]/abc/feed.xml **)
  announce    | Automated annunciation of new items. (false/true)

 *   available in core section only
 **  not available in core section
 *** you _must_ include %feed in [core] (not necessary in other sections)


2) Identifiers for 'format'
======================================

 Use these identifiers in the format string:
 The string will be evaluated when you set the first char to '~' (without the quotes).
 You can check the default core format for an example.
 
  Identifier      | Replaced with
 -----------------+--------------------------------------------------------------------
  %b              | \002 (bold)
  %c              | \003 (colour)
  %r              | \026 (reverse)
  %u              | \037 (underline)
  %x              | \017 (reset codes)
  %%              | %
  %n              | New-line, makes the bot use another line for output
  @full/tag@      | Full XML path of the tag you want to insert
  @full/tag.attr@ | Full XML path of the attribute you want to insert


3) Examples
=========== 
 This example shows a configuration for fetching the feed every two hours (120min).
 Limit is set to 5 news.
  [ExampleFeed1]
  uri=http://some.host/feed.rss
  channels=#perplexa #foo #bar
  interval=120
 
 This feed is active on all channels; It is using an optional port;
 It's using a very short update interval of 5 minutes;
 Additionally it's using a custom format.
  [ExampleFeed2]
  uri=http://dont.try.nslookup.this:1337/atom.xml
  interval=5
  format=New @feed/title@ headline: @feed/entry/title@ (@feed/entry/link.href@)
 
 No automated annunciation, trigger returns max 5 lines.
 Using a two line format string (%n = begin a new line), first one includes a link and headline, second one the description
  [ExampleFeed3]
  uri=http://just.another.example.org/rss.xml
  trigger=!another_trigger
  format=@rss/channel/title@ (@rss/channel/item/link@)%n@rss/channel/item/description@
  announce=false
  limit=5
*/

// These apply to all feeds
[core]
interval=10
timeout=30
maxlength=300
antiflood=10
limit=3
trigger=-news %feed
announce=false
format=~@rss/channel/item/title@ \[[string tolower [string index "@rss/channel/title@" 0]]\] [tiny::url "@rss/channel/item/link@"]

[hlds.pl]
uri=http://hlds.pl/index.php?title=Specjalna:Ostatnie_zmiany&feed=rss
channels=#hlds.pl
format=~\[%bHLDS.pl%b Zmiany\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c
announce=true

[f.hlds.pl]
uri=http://forum.hlds.pl/index.php?type=rss;action=.xml
channels=#hlds.pl
announce=true
format=~\[%bHLDS.pl%b Forum\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c

[qw.pl]
uri=http://quakeworld.pl/index.php?format=feed&type=rss
channels=#qw.pl
trigger=!qw.pl
format=~\[%bQW.pl%b\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c
announce=true

[hlds]
//interval=180
uri=http://www.mail-archive.com/hlds@list.valvesoftware.com/maillist.xml
channels=#hlds.pl
announce=false
format=~\[%bValve:%b hlds\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c

[hlds_linux]
//interval=180
uri=http://www.mail-archive.com/hlds_linux@list.valvesoftware.com/maillist.xml
channels=#hlds.pl
announce=false
format=~\[%bValve:%b hlds_linux\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c

[hlds_apps]
//interval=180
uri=http://www.mail-archive.com/hlds_apps@list.valvesoftware.com/maillist.xml
channels=#hlds.pl
announce=false
format=~\[%bValve:%b hlds_apps\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c

[hlds_announce]
//interval=180
uri=http://www.mail-archive.com/hlds_announce@list.valvesoftware.com/maillist.xml
channels=#hlds.pl
announce=false
format=~\[%bValve:%b hlds_announce\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c

[hlcoders]
//interval=180
uri=http://www.mail-archive.com/hlcoders@list.valvesoftware.com/maillist.xml
channels=#hlds.pl
announce=false
format=~\[%bValve:%b hlcoders\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c

[steamu]
uri=http://steamunpowered.eu/feed/
announce=true
channels=#steamunpowered #hlds.pl
format=~\[%bSteamUnpowered%b\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c

[steam]
uri=http://store.steampowered.com/feeds/news.xml
channels=#hlds.pl #steamunpowered.eu
announce=false
format=~\[%bSteam%b\] @rdf:RDF/item/title@ %c15[tiny::url "@rdf:RDF/item/link@"]%c

[vdc]
uri=http://developer.valvesoftware.com/w/index.php?title=Special:RecentChanges&feed=rss
channels=#hlds.pl
announce=false
format=~\[%bVDC%b\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c


[f.qw.pl]
uri=http://forum.quakeworld.pl/rss.php
announce=true
channels=#qw.pl
format=~\[%bQW.pl%b Forum\] @rdf:RDF/item/title@ %c15[tiny::url "@rdf:RDF/item/link@"]%c

[qw.nu]
uri=http://www.quakeworld.nu/rss.php
announce=true
channels= #qwrookie
format=~\[%bQW.nu%b\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c

[f.qw.nu]
uri=http://www.quakeworld.nu/forum/extern.php?action=active&type=RSS
announce=true
channels= #qwrookie
format=~\[%bQW.nu%b Forum\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c



[fb.qw]
uri=http://www.facebook.com/feeds/page.php?format=atom10&id=107353385968614
announce=true
channels=#qwrookie
format=~\[%bFacebook%b\] @feed/entry/title@ %c15[tiny::url "http://www.facebook.com@feed/entry/link.href@"]%c


[hlxce]
uri=http://code.google.com/feeds/p/hlstatsxcommunity/svnchanges/basic
announce=true
channels=#hlds.pl
format=~\[%bHLXCE%b\] @feed/entry/title@ %c15[tiny::url "@feed/entry/link.href@"]%c

[mumble.scripts]
uri=http://gitorious.org/mumble-scripts.atom
announce=true
channels=#hlds.pl
format=~\[%bMumble:%b scripts\] @feed/entry/title@ %c15@feed/entry/link.href@%c

[luigi]
uri=http://aluigi.altervista.org/rss.php
announce=true
channels=#hlds.pl
format=~\[%bLuigi Auriemma%b\] @rss/channel/item/title@ %c15[tiny::url "@rss/channel/item/link@"]%c


[sc2.net.pl]
uri=http://kaszpir.hlds.pl/sc2/test.rss
announce=true
channels=#nvt
interval=1
format=~ _KaszpiR_ prawn starcraft :  @rss/channel/item/title@ [tiny::url "@rss/channel/item/link@"]

/*
[chtv]
uri=http://challenge-tv.com/fast/?f_game=2
announce=false
trigger=!chtv


// TeamA vs TeamB | XonX | Map
*/

/*

// feeds
[perpleXa]
uri=http://perplexa.ugug.org/web/feed/atom.xml
channels=#perplexa
trigger=-perplexa
format=~@feed/entry/title@ %c08\[p\]%c %c01@feed/entry/link.href@%c

// music
[elektroaktivisten]
uri=http://www.elektroaktivisten.de/?feed=atom
channels=#minimal
trigger=-elektro
format=~[string trim "@feed/entry/title@ %c13\[e\]%c %c01[tiny::url "@feed/entry/link.href@"]%c"]

[New Mixes]
uri=http://feeds.feedburner.com/newmixes/download
channels=#minimal
trigger=-newmixes

// gaming
[PCSX2]
uri=http://www.pcsx2.net/rss.php
channels=#perplexa
trigger=-pcsx2
format=~@rss/channel/item/title@ %c12\[PCSX2\]%c %c01[tiny::url "@rss/channel/item/link@"]%c

// computer
[ComputerBase Artikel]
uri=http://www.computerbase.de/rss/artikel.xml
channels=#perplexa
trigger=-cbase a

[ComputerBase News]
uri=http://www.computerbase.de/rss/news.xml
channels=#perplexa
trigger=-cbase n
*/